body,
main {
  min-height: 100vh;
}
.ls-bg,
main::after {
  position: absolute;
  height: 100%;
  z-index: 0;
  top: 0;
}
.logSign,
.ls-bg {
  overflow: hidden;
}
.back-home a,
.forget,
.register-text a,
.social-media a,
.social-signup a {
  text-decoration: none;
}
:root {
  --primary-color: rgb(0, 143, 156);
  --secondary-color: #03a9f3;
  --field-text-color: rgb(62, 63, 94);
  --bg-color: rgb(255, 255, 255);
  --heading-color: rgb(255, 255, 255);
  --text-color: rgb(48, 47, 69);
  --label-color: rgb(175, 176, 192);
  --border-color: rgb(222, 222, 234);
}
body {
  width: 100%;
  position: relative;
}
a,
button,
input {
  cursor: pointer;
}
label.error {
  color: #ff1000 !important;
  font-size: 12px !important;
  font-weight: 400;
}
.logSign a,
.logSign button,
.logo-text,
.main-heading,
.side-text p,
.side-text span {
  color: var(--heading-color);
}
.ls-bg {
  width: 100%;
  left: 0;
  background-color: #333130;
}
.logo,
main {
  position: relative;
}
.ls-bg-inner {
  object-fit: cover;
  width: 100%;
  height: 100%;
  object-position: 50% 50%;
}
video.ls-bg-inner {
  opacity: 0.5;
}
main {
  z-index: 10000;
}
main::after {
  content: "";
  right: -15%;
  width: 50%;
  clip-path: circle(70% at 80% 50%);
  background-color: var(--bg-color);
  background-image: url(../images/Layers.png);
}
.wrapper {
  padding: 40px 0 120px 120px;
  width: 85%;
  height: 100%;
  min-height: 100vh;
  background: url("../images/pexels-photo-4077645.jpeg") center center/cover
    no-repeat;
}
.main-inner,
.p-relate {
  position: relative;
  height: 100%;
}
.main-inner {
  padding: 15px;
}
.logo {
  display: flex;
  align-items: center;
  height: auto;
  z-index: 10;
}
.logo-icon {
  width: auto;
}
.logo-icon img,
.thankyou-page .logo .logo-icon img {
  width: 100%;
}
.logo-text {
  font-size: 37px;
  font-weight: 700;
  margin-left: 8px;
}
.side-text {
  position: absolute;
  bottom: 0;
  left: 0;
}
.divide-heading,
.form,
.input-field,
.invalid,
.logSign a,
.logSign button,
.login-btn button {
  position: relative;
}
.side-text * {
  margin: 0;
}
.side-text span {
  font-size: 24px;
  text-transform: uppercase;
  display: block;
  line-height: 0.5;
}
.main-heading {
  font-size: 104px;
  text-transform: uppercase;
  font-weight: 900;
  line-height: 1;
}
.text-shadow {
  text-shadow: 0 0 15px rgba(0, 0, 0, 0.5);
}
.text-readable{
    background: rgba(0,0,0,0.4);
    padding: 5px;
    display: inline-block;
}
.side-text p {
  font-size: 18px;
}
.logSign {
  display: flex;
  width: 80%;
  height: auto;
  border: solid 1px var(--bg-color);
  border-radius: 12px;
  margin-top: 50px;
}
.logSign a,
.logSign button {
  background-color: rgba(0,0,0,0.3);
  min-width: 50%;
  height: 54px;
  border: 0;
  transition: 0.4s;
  font-size: 20px;
  font-weight: 700;
  z-index: 1;
  line-height: 54px;
  text-align: center;
}
.divide-heading span,
.form,
.input-field,
.input-field label {
  background-color: var(--bg-color);
}
.input-field input,
.logSign a.active,
.logSign button.active {
  color: var(--field-text-color);
}
.logSign a.active:before,
.logSign button.active:before {
  content: "";
  width: 100%;
  height: 100%;
  background-color: var(--bg-color);
  color: var(--field-text-color);
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
}
.form {
  border-radius: 12px;
  box-shadow: 0 0 60px 0 rgba(94, 92, 154, 0.12);
  margin-left: auto;
  min-height: 500px;
  padding: 40px;
  width: 65%;
  z-index: 100000;
}
.form-title {
  font-size: 26px;
  color: var(--text-color);
  font-weight: 700;
  text-align: center;
  margin-bottom: 40px;
}
.input-field {
  margin-bottom: 20px;
  transition: 0.4s;
  display: grid;
  align-items: center;
  opacity: 0;
  width: 100%;
  min-height: 52px;
}
.divide-heading,
.forget,
.rememberme {
  margin-bottom: 30px;
}
.input-field input {
  border: solid 1px var(--border-color);
  border-radius: 12px;
  width: 100%;
  transition: 0.4s;
  height: 50px;
  padding-left: 20px;
}
.input-field input:focus {
  outline: 0;
  border-color: var(--secondary-color);
}
.input-field label {
  color: var(--label-color);
  transition: 0.4s;
  pointer-events: none;
  width: max-content;
  padding: 0 3px;
}
.input-field input:valid + label {
  font-size: 15px;
}
.input-field input:invalid + label {
  font-size: 20px;
}
.rememberme {
  display: flex;
  align-content: center;
  height: auto;
}
.rememberme label {
  font-size: 15px;
  color: var(--field-text-color);
  font-weight: 700;
  margin-left: 10px;
}
.login-btn button,
.login-btn button::before {
  font-size: 20px;
  transition: 0.4s;
  font-weight: 700;
}
.rememberme input[type="checkbox"] {
  -webkit-appearance: none;
  border-radius: 6px;
  background-color: #23d2e2;
  width: 22px;
  height: 22px;
  position: relative;
  cursor: pointer;
}
.rememberme input[type="checkbox"]::before {
  content: "X";
  font-weight: 900;
  font-size: 18px;
  color: var(--heading-color);
  width: 100%;
  transition: 0.4s;
  height: 100%;
  position: absolute;
  text-align: center;
  line-height: 22px;
}
.rememberme input[type="checkbox"]:checked::before {
  content: "\f00c";
  font-family: "Font Awesome 5 free";
  font-size: 16px;
}
.forget {
  font-size: 15px;
  color: var(--label-color);
  font-weight: 700;
}
.forget:hover {
  color: var(--secondary-color);
}
.login-btn button {
  border-radius: 12px;
  width: 100%;
  height: 54px;
  margin-bottom: 40px;
  border: 0;
  color: var(--heading-color);
  overflow: hidden;
}
.login-btn .signup {
  background-color: var(--primary-color);
}
.login-btn button::before {
  content: "GO!";
  background-color: var(--field-text-color);
  color: var(--heading-color);
  line-height: 54px;
  display: block;
  height: 100%;
  position: absolute;
  top: 0;
  left: -65px;
  width: 65px;
}
.login-btn button:hover::before {
  left: 0;
}
.login-btn button:hover {
  padding-left: 65px;
}
.divide-heading {
  z-index: 1;
}
.divide-heading span {
  font-size: 15px;
  color: var(--field-text-color);
  font-weight: 700;
  text-align: center;
  padding: 0 20px;
  width: max-content;
  margin: 0 auto;
  display: block;
}
.divide-heading::after {
  content: "";
  position: absolute;
  width: 100%;
  background-color: #eaeaf5;
  height: 1px;
  left: 0;
  right: 0;
  margin-left: auto;
  margin-right: auto;
  top: 10px;
  z-index: -1;
}
.social-media,
.thankyou-page .main-inner {
  background-color: var(--text-color-hover);
}
.social-signup {
  display: flex;
  flex-wrap: wrap;
  width: 100%;
  height: auto;
  justify-content: center;
}
.social-signup a {
  border-radius: 10px;
  background-color: var(--field-text-color);
  width: 40px;
  height: 40px;
  display: grid;
  justify-content: center;
  align-content: center;
  margin: 0 7px;
}
.social-signup a.facebook {
  background-color: #3763d2;
}
.social-signup a.twitter {
  background-color: #1abcff;
}
.social-signup a.twitch {
  background-color: #7b5dfa;
}
.social-signup a.youtube {
  background-color: #fd434f;
}
.social-signup a i {
  color: var(--heading-color);
  font-size: 15px;
}
.register-text {
  font-size: 14px;
  color: var(--field-text-color);
}
.register-text a {
  color: #23d2e2;
}
.thankyou-page .logo {
  justify-content: center;
  margin-top: 60px;
}
.thankyou-page .logo-icon {
  width: 55px;
  margin-right: 10px;
}
.thankyou-page .logo-text {
  font-size: 65px;
}
.thankyou-page .main-inner {
  background-image: url(../images/thankyou-bg.png) !important;
}
.thankyou-page article {
  text-align: center;
  margin-top: 80px;
}
.thankyou-page article h1 {
  font-size: 75px;
  font-weight: 700;
  text-transform: uppercase;
}
.thankyou-page article h1 span {
  display: block;
  font-size: 80px;
  font-weight: 900;
  color: var(--primary-color);
}
.thankyou-page article span {
  font-size: 20px;
  color: var(--primary-color);
  font-weight: 500;
}
.social-media a,
.thankyou-page article p {
  color: var(--secondary--text-color);
  font-size: 18px;
}
.thankyou-page article p {
  margin: 45px auto 0;
  width: 39%;
}
.social-media {
  text-align: center;
  margin: 40px auto;
  width: 30%;
  padding: 6px 10px;
}
.social-media a {
  border: 1px solid #f4f4f4;
  border-radius: 5px;
  background-color: transparent;
  font-weight: 700;
  padding: 10px 20px;
  display: inline-block;
}
.social-media a i {
  margin-right: 10px;
  font-size: 20px;
}
.back-home {
  width: 188px;
  height: 63px;
  margin: 0 auto;
}
.back-home a {
  background-color: var(--primary-color);
  border-radius: 50px;
  color: var(--text-color-hover);
  width: 100%;
  height: 100%;
  display: block;
  text-align: center;
  line-height: 63px;
  font-size: 17px;
  color: #fff;
  font-weight: 700;
  border: 0;
}
#sub img {
  width: 60px;
}
.highlight {
  border-top: solid 3px var(--primary-color) !important;
  border-bottom: solid 3px var(--primary-color) !important;
}
#error {
  position: fixed;
  top: 10px;
  left: 10px;
  z-index: 20;
}
.invalid {
  border: 2px solid #f44 !important;
}
